libwww-perl_6.08-1_all.deb


Advertisement

Description

libwww-perl - simple and consistent interface to the world-wide web

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libwww-perl
Package version: 6.08
Package release: 1
Package architecture: all
Package type: deb
Installed size: 416 B
Download size: 189.65 KB
Official Mirror: ftp.br.debian.org
libwww-perl (also known as LWP) is a collection of Perl modules that provide a simple and consistent programming interface (API) to the World-Wide Web. The main focus of the library is to provide classes and functions that allow you to write WWW clients. It also contains general purpose modules, as well as a simple HTTP/1.1-compatible server implementation.

Alternatives

    Download

    Source package: libwww-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libwww-perl deb package:
      # sudo apt-get install libwww-perl

    Files

    • /usr/bin/GET
    • /usr/bin/HEAD
    • /usr/bin/POST
    • /usr/bin/lwp-download
    • /usr/bin/lwp-dump
    • /usr/bin/lwp-mirror
    • /usr/bin/lwp-request
    • /usr/share/doc/libwww-perl/changelog.Debian.gz
    • /usr/share/doc/libwww-perl/changelog.gz
    • /usr/share/doc/libwww-perl/copyright
    • /usr/share/man/man1/GET.1p.gz
    • /usr/share/man/man1/HEAD.1p.gz
    • /usr/share/man/man1/POST.1p.gz
    • /usr/share/man/man1/lwp-download.1p.gz
    • /usr/share/man/man1/lwp-dump.1p.gz
    • /usr/share/man/man1/lwp-mirror.1p.gz
    • /usr/share/man/man1/lwp-request.1p.gz
    • /usr/share/man/man3/LWP.3pm.gz
    • /usr/share/man/man3/LWP::Authen::Ntlm.3pm.gz
    • /usr/share/man/man3/LWP::ConnCache.3pm.gz
    • /usr/share/man/man3/LWP::Debug.3pm.gz
    • /usr/share/man/man3/LWP::MemberMixin.3pm.gz
    • /usr/share/man/man3/LWP::Protocol.3pm.gz
    • /usr/share/man/man3/LWP::RobotUA.3pm.gz
    • /usr/share/man/man3/LWP::Simple.3pm.gz
    • /usr/share/man/man3/LWP::UserAgent.3pm.gz
    • /usr/share/man/man3/lwpcook.3pm.gz
    • /usr/share/man/man3/lwptut.3pm.gz
    • /usr/share/perl5/LWP.pm
    • /usr/share/perl5/lwpcook.pod
    • /usr/share/perl5/lwptut.pod
    • /usr/share/perl5/LWP/ConnCache.pm
    • /usr/share/perl5/LWP/Debug.pm
    • /usr/share/perl5/LWP/DebugFile.pm
    • /usr/share/perl5/LWP/MemberMixin.pm
    • /usr/share/perl5/LWP/Protocol.pm
    • /usr/share/perl5/LWP/RobotUA.pm
    • /usr/share/perl5/LWP/Simple.pm
    • /usr/share/perl5/LWP/UserAgent.pm
    • /usr/share/perl5/LWP/Authen/Basic.pm
    • /usr/share/perl5/LWP/Authen/Digest.pm
    • /usr/share/perl5/LWP/Authen/Ntlm.pm
    • /usr/share/perl5/LWP/Protocol/GHTTP.pm
    • /usr/share/perl5/LWP/Protocol/cpan.pm
    • /usr/share/perl5/LWP/Protocol/data.pm
    • /usr/share/perl5/LWP/Protocol/file.pm
    • /usr/share/perl5/LWP/Protocol/ftp.pm
    • /usr/share/perl5/LWP/Protocol/gopher.pm
    • /usr/share/perl5/LWP/Protocol/http.pm
    • /usr/share/perl5/LWP/Protocol/loopback.pm
    • /usr/share/perl5/LWP/Protocol/mailto.pm
    • /usr/share/perl5/LWP/Protocol/nntp.pm
    • /usr/share/perl5/LWP/Protocol/nogo.pm

    Changelog

    2014-07-26 - gregor herrmann <gregoa@debian.org> libwww-perl (6.08-1) unstable; urgency=medium * New upstream release. * Bump versioned (build) dependency on libnet-http-perl to 6.07 for IPv6 support. * Refresh drop-non-blocking-socket.patch (offset).

    2014-07-04 - gregor herrmann <gregoa@debian.org> libwww-perl (6.07-1) unstable; urgency=medium * New upstream release. * Update years of packaging copyright.

    2014-04-24 - Dominique Dumont <dod@debian.org> libwww-perl (6.06-1) unstable; urgency=medium * Imported Upstream version 6.06 * removed fix-https-proxy patch (applied upstream)

    2014-04-12 - Damyan Ivanov <dmn@debian.org> libwww-perl (6.05-3) unstable; urgency=medium [ gregor herrmann ] * debian/control: remove Nicholas Bamber from Uploaders on request of the MIA team. * Strip trailing slash from metacpan URLs. [ Damyan Ivanov ] * add patch from Ivan Shmakov fixing validation of IPv6 proxy addresses (Closes: #714961) * add patch from Michael Shields disabling non-blocking socket I/O. This requires handling of EINPROGRESS, which is not present. (Closes: #216821)

    2013-11-29 - Dominique Dumont <dod@debian.org> libwww-perl (6.05-2) unstable; urgency=low * control: added dod to uploaders. Removed jawnsy and ryan * added fix-https-patch from upstream that help fix #129528, #622212 #687834

    2013-06-22 - gregor herrmann <gregoa@debian.org> libwww-perl (6.05-1) unstable; urgency=low [ Nathan Handler ] * Email change: Nathan Handler -> nhandler@debian.org [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release. * debian/copyright: switch formatting to Copyright-Format 1.0. * Make (build) dependency on libnet-http-perl versioned. * Set Standards-Version to 3.9.4 (no further changes).

    2012-02-19 - Alessandro Ghedini <al3xbio@gmail.com> libwww-perl (6.04-1) unstable; urgency=low * Team upload * New upstream release

    2011-10-22 - Nicholas Bamber <nicholas@periapt.co.uk> libwww-perl (6.03-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ Nicholas Bamber ] * New upstream release * Added override for DEP-5 format lintian warning * Raised debhelper version and compat level to 8 * Downgraded libauthen-ntlm-perl to Suggests in sympathy with Ubuntu

    2011-05-23 - Nicholas Bamber <nicholas@periapt.co.uk> libwww-perl (6.02-1) unstable; urgency=low [ Nicholas Bamber ] * New upstream release - Split off LWP::Protocol::https - Removes need for patch - Removes deprecated modules such as http10 * Added Recommends clause for libauthen-ntlm-perl * Updated version in Breaks clause for tidy-proxy * Updated version in Breaks clause for gsutil * Raised standards version to 3.9.2 * Adding debian/clean [ gregor herrmann ] * debian/rules: unset PERL_LWP_SSL_VERIFY_HOSTNAME to make tests pass. * Removed libio-socket-ssl-perl, libcrypt-ssleay-perl from Suggests clause

    2011-04-07 - Nicholas Bamber <nicholas@periapt.co.uk> libwww-perl (6.01-3) unstable; urgency=low * Add versioned Breaks clauses for packages which use HTTP::Daemon or HTML::Form (Closes: #621135)

    Advertisement
    Advertisement